package ink.wgink.module.instantmessage.pojo.vos;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: NoticeSendVO
 * @Description: 通知发送
 * @Author: wanggeng
 * @Date: 2021/10/22 12:43 下午
 * @Version: 1.0
 */
@ApiModel
public class NoticeSendVO {

    @ApiModelProperty(name = "noticeTitle", value = "通知标题", required = true)
    @CheckEmptyAnnotation(name = "通知标题")
    private String noticeTitle;
    @ApiModelProperty(name = "noticeMsg", value = "通知内容", required = true)
    @CheckEmptyAnnotation(name = "通知内容")
    private String noticeMsg;
    @ApiModelProperty(name = "noticeTarget", value = "通知目标")
    private String noticeTarget;
    @ApiModelProperty(name = "noticeUserIds", value = "通知用户ID列表，下划线分割", required = true)
    @CheckEmptyAnnotation(name = "通知用户ID列表")
    private String noticeUserIds;

    public String getNoticeTitle() {
        return noticeTitle == null ? "" : noticeTitle.trim();
    }

    public void setNoticeTitle(String noticeTitle) {
        this.noticeTitle = noticeTitle;
    }

    public String getNoticeMsg() {
        return noticeMsg == null ? "" : noticeMsg.trim();
    }

    public void setNoticeMsg(String noticeMsg) {
        this.noticeMsg = noticeMsg;
    }

    public String getNoticeTarget() {
        return noticeTarget == null ? "" : noticeTarget.trim();
    }

    public void setNoticeTarget(String noticeTarget) {
        this.noticeTarget = noticeTarget;
    }

    public String getNoticeUserIds() {
        return noticeUserIds == null ? "" : noticeUserIds.trim();
    }

    public void setNoticeUserIds(String noticeUserIds) {
        this.noticeUserIds = noticeUserIds;
    }
}
